Corregir el error de idea de Intellij: java: versión de fuente no válida: 1.8

Fix Intellij Idea Error

El error de compilar el nuevo proyecto es el siguiente:

La razón es que la versión del código de bytes de destino del módulo es inconsistente con la versión real del compilador.

Independientemente de los tres siete veintiuno, cambie todas las versiones de jdk al mismo

1, primero modifique la versión jdk de la estructura del proyecto







2, modifique la configuración de la versión jdk del compilador java

Enlace original: https://blog.csdn.net/c15158032319/article/details/79577458